<template>
    <div class="grid justify-items-center">
        <div class=" py-6 w-1/3  grid">
            <div class="grid items-end justify-items-center">
                <div class="flex">
                    <input v-model="body" class="rounded-full mr-1" type="text">
                    <button
                        class="hover:bg-gray-300 hover:text-white rounded-full px-2 border border-gray-300 text-black"
                        @click="storeMessage()">
                        Send
                    </button>
                </div>
            </div>
            <div class="messages flex">
                <div class="w-full flex-col">
                    <h3 v-if="messages.length > 0">Messages</h3>
                    <div v-for="message in messages" v-if="messages.length > 0" class="border-b mt-2">
                        <div class="flex">
                            <span>{{ message.id + '&nbsp' }}</span>
                            <span>{{ message.body }}</span>
                        </div>
                        <div class="grid justify-items-end text-xs mr-3 ">
                            <p>{{ message.time }}</p>
                        </div>
                    </div>
                </div>
            </div>

        </div>

    </div>
</template>

<script>
export default {
    name: "Index",
    props: [
        'messages'
    ],
    data() {
        return {
            body: null
        }
    },
    created() {
        window.Echo.channel('store_message').listen('.store_message', res=>{
            this.messages.unshift(res.message)

        })
    },
    methods: {
        storeMessage() {
            axios.post('/messages', {body: this.body})
                .then(res => {
                    this.messages.unshift(res.data)
                    this.body = null
                })
        }
    }
}
</script>

<style scoped>
.messages {
    height: 90vh;
}
</style>
